{% extends 'base_admin.html.twig' %}

{% block body %}

    <title>Event index</title>

    <h1 class="h1-categories-admin">Gestion des événements</h1>
    <div>
        <a href="{{ path('admin_event_new') }}" class="admin-new-event-btn">Ajouter</a>
    </div>

    {{ form_start(formFilter) }}
        <div class="flex-filter-event">
            {{ include("admin_bet/_formFilterBet.html.twig", {formFilter: formFilter}) }}
            <button class="btn btn-apply-filter btn-success">Appliquer</button>
        </div>
    {{ form_end(formFilter) }}
    

    {% if formFilter.vars.submitted %}
        {{ form_start(formReset) }}
            {{ include("admin_bet/_formResetFilter.html.twig", {formReset: formReset}) }}
            <button class=" btn btn-reset-filter-admin-event btn-danger">Supprimer le filtre</button>
        {{ form_end(formReset)}}
    {% endif %}

    <div class="container-event-table-admin">
        <table id="table" class="table table-striped table-bordered" cellspacing="0">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Catégorie</th>
                    <th>Date et heure de l'événement</th>
                    <th>Status</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
            {% for event in events %}
                <tr>
                    <td>{{ event.name }}</td>
                    <td>{{ event.description }}</td>

                    {% if event.categoryIdCategory != null %}
                        <td>{{ event.categoryIdCategory.name }}</td>
                    {% else %}
                        <td>Pas de catégorie</td>
                    {% endif %}
                    
                    <td>Le {{ event.date ? event.date|date('d-m-Y') : '' }} à  {{ event.date ? event.date|date('H:i:s') : '' }}</td>
                    <td>{{ event.status }}</td> 
                    <td>
                        <a href="{{ path('admin_event_edit', {'id': event.id}) }}" class="tab-links-categories-admin">Modifier</a>
                        <a href="{{ path('admin_event_show', {'id': event.id}) }}" class="tab-links-categories-admin">Afficher</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="5">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>

{% endblock %}
